## org.eclipse.emf.ecore.xmi.impl
Class XMIHelperImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
          org.eclipse.emf.ecore.xmi.impl.XMIHelperImpl

All Implemented Interfaces:
  XMLHelper

    public class XMIHelperImpl

extends XMLHelperImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
`XMLHelperImpl.NamespaceSupport`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`XMLHelper.ManyReference`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`allPrefixToURI, anyPrefixesToURIs, anySimpleType, checkForDuplicates, danglingHREFException, deresolve, extendedMetaData, featuresToKinds, fragmentPrefixes, INTEGER_DATATYPE_IS_MANY, INTEGER_DATATYPE_SINGLE, INTEGER_IS_MANY_ADD, INTEGER_IS_MANY_MOVE, INTEGER_OTHER, laxFeatureProcessing, mustHavePrefix, namespaceSupport, noNamespacePackage, packageRegistry, packages, prefixesToURIs, processDanglingHREF, resource, resourceURI, roots, seenEmptyStringMapping, uriHandler, urisToPrefixes, xmlMap, xmlSchemaTypePackage`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`DATATYPE_IS_MANY, DATATYPE_SINGLE, IS_MANY_ADD, IS_MANY_MOVE, OTHER`

Constructor Summary
`XMIHelperImpl()`
`XMIHelperImpl(XMLResource resource)`

Method Summary

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`addNSDeclaration, addPrefix, computeFeatureKind, convertToString, createFromString, createObject, createObject, deresolve, getAnyContentPrefixToURIMapping, getDanglingHREFException, getExtendedMetaData, getFeature, getFeature, getFeatureKind, getFeatureWithoutMap, getHREF, getHREF, getID, getIDREF, getJavaEncoding, getName, getNamespaceURI, getNoNamespacePackage, getPrefix, getPrefix, getPrefix, getPrefixes, getPrefixToNamespaceMap, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getResource, getType, getURI, getURIFragment, getURIFragmentQuery, getValue, getXMLEncoding, getXMLMap, handleDanglingHREF, packages, popContext, popContext, populateNameInfo, populateNameInfo, populateNameInfo, pushContext, recordPrefixToURIMapping, resolve, saveString, setAnySimpleType, setCheckForDuplicates, setExtendedMetaData, setManyReference, setMustHavePrefix, setNoNamespacePackage, setOptions, setPrefixToNamespaceMap, setProcessDanglingHREF, setResource, setValue, setXMLMap, updateQNamePrefix, updateQNameURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIHelperImpl

    public XMIHelperImpl()

### XMIHelperImpl

    public XMIHelperImpl(XMLResource resource)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.